## qwik 0.8.4.3ubuntu1

=== debian/changelog ===
qwik (0.8.4.3ubuntu1) edgy; urgency=low

  * Re-sync with Debian
  * Bashisms in debian/rules

 -- Barry deFreese <bddebian@comcast.net>  Tue, 26 Sep 2006 14:27:29 -0400

qwik (0.8.4.3) unstable; urgency=low

  * Official debian package, which closes: #341674.
  * debian/copyright: Fix spelling mistake, refer common-licenses/GPL-2.
  * debian/docs (COPYING): Removed.
  * debian/qwik.init: Added BEGIN/END INIT INFO.

 -- NIIBE Yutaka <gniibe@fsij.org>  Sun, 10 Sep 2006 20:02:07 +0900

qwik (0.8.4.2) unstable; urgency=low

  * debian/copyright: Clarify a bit.
  * debian/control: Tag should not be in this file.
  * debian/rules: Added +x.

 -- NIIBE Yutaka <gniibe@fsij.org>  Thu,  7 Sep 2006 10:55:05 +0900

qwik (0.8.4.1) unstable; urgency=low

  * New Upstream Released.
  * debian/copyright file change.

 -- Kouichirou Eto <2006@eto.com>  Mon,  7 Aug 2006 20:45:00 +0900

qwik (0.8.3-1) unstable; urgency=low

  * New Upstream Released.
  * debian/copyright file change.
  * debian/control file changed.
    delete Conflicts: quickml
	 delete Suggests: graphviz, ttf-sazanami-gothic,

 -- Yasuo Eto <yasuo@etou.org>  Sat, 29 Jul 2006 21:00:13 +0900

qwik (0.8.2.2) unstable; urgency=low

  * debian/watch: New file
  * debian/control (Standards-Version): Follows 3.7.2.
    (Description): Fixed the description.
    (Tag): Added.
    (Conflicts): Added.

 -- NIIBE Yutaka <gniibe@fsij.org>  Sat, 27 May 2006 14:59:13 +0900

qwik (0.8.2-1) unstable; urgency=low

  * New Upstream Released. 

 -- Yasuo Eto <yasuo@etou.org>  Tue, 11 Apr 2006 13:19:52 +0900

qwik (0.8.1-2) unstable; urgency=low

  * add depend adduser.
  * fix Free Software Fondation address.

 -- Yasuo Eto <yasuo@etou.org>  Mon,  6 Mar 2006 07:18:57 +0900

qwik (0.8.1-1) unstable; urgency=low

  * New Upstream Released.
  * move pid directory /var/run/ from /var/run/qwik/
  * delete some $LOAD_PATH.

 -- Yasuo Eto <yasuo@etou.org>  Mon,  6 Mar 2006 07:08:50 +0900

qwik (0.8.0-1) unstable; urgency=low

  * New Upstream Relased.
  * move template directory from /etc/qwik/template to
	 /usr/share/qwik/template.
  * remove suggest dependency libaspecter.
  * add suggest dependency graphviz and ttf-sazanami-gothic.

 -- Yasuo Eto <yasuo@etou.org>  Thu,  2 Feb 2006 22:29:40 +0900

qwik (0.7.1-9) unstable; urgency=low

  * fix template.rb require path.

 -- Yasuo Eto <yasuo@etou.org>  Wed,  5 Oct 2005 08:58:13 +0900

qwik (0.7.1-8) unstable; urgency=low

  * move directory template.

 -- Yasuo Eto <yasuo@etou.org>  Wed,  5 Oct 2005 08:31:58 +0900

qwik (0.7.1-7) unstable; urgency=low

  * delete analog

 -- Yasuo Eto <yasuo@etou.org>  Tue,  4 Oct 2005 15:08:41 +0900

qwik (0.7.1-6) unstable; urgency=low

  * delete obsolute file /usr/sbin/qwikweb-generate-template.
  * delete obsolute directory usr/lib/ruby/1.8/qwik/t/.
  * move directory /usr/share/qwik/jsunit from /usr/lib/ruby/1.8/qwik/jsunit/.

 -- Yasuo Eto <yasuo@etou.org>  Tue,  4 Oct 2005 14:56:26 +0900

qwik (0.7.1-5) unstable; urgency=low

  * change backup dir.
  * change mode /usr/share/qwik/ dir.

 -- Yasuo Eto <yasuo@etou.org>  Tue,  4 Oct 2005 14:36:04 +0900

qwik (0.7.1-4) unstable; urgency=low

  * chnage mode /usr/lib/ruby/1.8/qwik/.

 -- Yasuo Eto <yasuo@etou.org>  Mon,  3 Oct 2005 12:34:38 +0900

qwik (0.7.1-3) unstable; urgency=low

  * strip xmlformatter.so 

 -- Yasuo Eto <yasuo@etou.org>  Mon,  3 Oct 2005 11:27:56 +0900

qwik (0.7.1-2) unstable; urgency=low

  * Change qwikweb-backup directory.
  * Change xmlformatter.so directory.

 -- Yasuo Eto <yasuo@etou.org>  Mon,  3 Oct 2005 09:43:17 +0900

qwik (0.7.1-1) unstable; urgency=low

  * New Upstream Released.

 -- Yasuo Eto <yasuo@etou.org>  Sun,  2 Oct 2005 21:53:49 +0900

qwik (0.7.0-1) unstable; urgency=low

  * New Upstream Released.

 -- Yasuo Eto <yasuo@etou.org>  Tue, 20 Sep 2005 01:10:25 +0900

qwik (0.5.0-6) unstable; urgency=low

  * fix dependency add depend libopenssl-ruby1.8 

 -- Yasuo Eto <yasuo@etou.org>  Sat,  9 Apr 2005 08:01:48 +0900

qwik (0.5.0-5) unstable; urgency=low

  * fix farm.rb

 -- Yasuo Eto <yasuo@etou.org>  Sat,  9 Apr 2005 07:28:19 +0900

qwik (0.5.0-4) unstable; urgency=low

  * fix typekey 

 -- Yasuo Eto <yasuo@etou.org>  Sat,  9 Apr 2005 06:27:45 +0900

qwik (0.5.0-3) unstable; urgency=low

  * fix /usr/lib/ruby/1.8/qwik/config.rb

 -- Yasuo Eto <yasuo@etou.org>  Sat,  9 Apr 2005 06:00:26 +0900

qwik (0.5.0-2) unstable; urgency=low

  * fix qwik.init
  * fix require template location

 -- Yasuo Eto <yasuo@etou.org>  Fri,  8 Apr 2005 17:22:11 +0900

qwik (0.5.0-1) unstable; urgency=low

  * New Upstream Released.

 -- Yasuo Eto <yasuo@etou.org>  Thu,  7 Apr 2005 16:22:01 +0900

qwik (0.4.2-5) unstable; urgency=low

  * fix ruby path.
  * fix dependency aspectr -> libaspectr.

 -- Yasuo Eto <yasuo@etou.org>  Tue, 29 Mar 2005 00:21:58 +0900

qwik (0.4.2-4) unstable; urgency=low

  * fix t/ test utils require path.

 -- Yasuo Eto <yasuo@etou.org>  Wed, 23 Mar 2005 07:35:13 +0900

qwik (0.4.2-3) unstable; urgency=low

  * fix dependency Suggests: libdb4.2-ruby1.8

 -- Yasuo Eto <yasuo@etou.org>  Sun, 20 Mar 2005 21:43:49 +0900

qwik (0.4.2-2) unstable; urgency=low

  * Fix dependency ruby1.8 resructured sub-packages
  * Fix any misstake

 -- Yasuo Eto <yasuo@etou.org>  Sun, 20 Mar 2005 02:36:39 +0900

qwik (0.4.2-1) unstable; urgency=low

  * New Upstream Released

 -- Yasuo Eto <yasuo@etou.org>  Sun, 13 Mar 2005 23:23:47 +0900

qwik (0.4.0-10) unstable; urgency=low

  * fix /etc/init.d/qwik 

 -- Yasuo Eto <yasuo@etou.org>  Wed,  9 Mar 2005 19:30:05 +0900

qwik (0.4.0-9) unstable; urgency=low

  * fix quickmlrc. 

 -- Yasuo Eto <yasuo@etou.org>  Wed,  9 Mar 2005 18:39:50 +0900

qwik (0.4.0-8) unstable; urgency=low

  * fix wrong quickml configfile locate. 

 -- Yasuo Eto <yasuo@etou.org>  Thu,  3 Mar 2005 15:19:20 +0900

qwik (0.4.0-7) unstable; urgency=low

  * fix dependency libalgorithm-diff-ruby1.8

 -- Yasuo Eto <yasuo@etou.org>  Tue, 22 Feb 2005 00:07:06 +0900


