=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

UPSTREAM = qwik
UPSTREAM_VERSION = 0.8.4

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

build:
	# noting to do

clean:
	dh_testdir
	dh_testroot

	# Clean build and stamps
	rm -rf build
	rm -rf unpack-stamp patch-stamp patch-stampTMP patches-stamp
	-rm -f usr/bin/Makefile ./usr/lib/ruby/1.8/qwik/Makefile ./usr/lib/ruby/1.8/qwik/Makefile
	-rm ext/xmlformatter.o

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/qwik.
	
	#/usr/sbin
	cp -p bin/quickml-server $(CURDIR)/debian/qwik/usr/sbin/
	cp -p bin/qwik-service $(CURDIR)/debian/qwik/usr/sbin/
	cp -p bin/qwikweb-server $(CURDIR)/debian/qwik/usr/sbin/

	#/usr/lib/ruby/1.8
	install -d $(CURDIR)/debian/qwik/usr/lib/ruby/1.8/qwik

	# qwik lib
	cp -r lib/qwik/*  $(CURDIR)/debian/qwik/usr/lib/ruby/1.8/qwik/
	#adhoc delete compat dir
	rm -rf $(CURDIR)/debian/qwik/usr/lib/ruby/1.8/qwik/compat
	#install xmlformater.so
	cd ext/ && ruby1.8 extconf.rb && make 
	install -d $(CURDIR)/debian/qwik/usr/lib/ruby/1.8/$(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)/qwik/
	mv ext/xmlformatter.so $(CURDIR)/debian/qwik/usr/lib/ruby/1.8/$(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)/qwik/
	cd ext/ && make clean && rm Makefile 
	chmod -R 644  $(CURDIR)/debian/qwik/usr/lib/ruby/1.8/qwik/
	
	find $(CURDIR)/debian/qwik/usr/lib/ruby/1.8/qwik/ -type d -print |  xargs chmod 755

	# /usr/share/
	install -d $(CURDIR)/debian/qwik/usr/share/qwik/super
	install -d $(CURDIR)/debian/qwik/usr/share/qwik/theme
	install -d $(CURDIR)/debian/qwik/usr/share/qwik/template
	cp -r share/super/*  $(CURDIR)/debian/qwik/usr/share/qwik/super/
	cp -r share/theme/*  $(CURDIR)/debian/qwik/usr/share/qwik/theme/
	cp -r share/template/* $(CURDIR)/debian/qwik/usr/share/qwik/template/

	chmod -R 644 $(CURDIR)/debian/qwik/usr/share/qwik/
	
	find $(CURDIR)/debian/qwik/usr/share/qwik/ -type d -print |  xargs chmod 755  

	# change path
	sed -i  -e "s/require\ 'diff'/require 'algorithm\/diff'/g" `grep -rl require\ \'diff\' $(CURDIR)/debian/qwik`
	sed -i -e "s/\/usr\/bin\/ruby/\/usr\/bin\/ruby1.8/" `grep -rl  \/usr\/bin\/ruby $(CURDIR)/debian/qwik`

	# delete LOAD_PATH
	-grep -rl require\ \'qwik\/compat\/add_load_path\'  $(CURDIR)/debian/qwik/ | xargs sed -i  -e "/require 'qwik\/compat\/add_load_path'/d"

	-grep -rl \$$LOAD_PATH\ \<\<\ \'\.\.\'\ unless\ \$$LOAD_PATH\.include\?\ \'\.\.\' $(CURDIR)/debian/qwik\
		|xargs sed  -i -e "/\$$LOAD_PATH << '\.\.' unless \$$LOAD_PATH\.include? '\.\.'/D" 
	
	-grep -rl \$$LOAD_PATH\ \<\<\ \'\.\.\/\.\.\/ext\'\ unless\ \$$LOAD_PATH\.include\?\(\'\.\.\/\.\.\/ext\'\) $(CURDIR)/debian/qwik\
		| xargs sed -i -e "/\$$LOAD_PATH << '\.\.\/\.\.\/ext' unless \$$LOAD_PATH\.include?('\.\.\/\.\.\/ext')/D"
	
	-grep -rl \$$LOAD_PATH\ \<\<\ \'compat\'\ unless\ \$$LOAD_PATH\.include\?\ \'compat\' $(CURDIR)/debin/qwik\
		| xargs sed -i -e "/\$$LOAD_PATH << 'compat' unless \$$LOAD_PATH\.include? 'compat'/D"
	
	-grep -rl \$$LOAD_PATH\ \<\<\ File\.expand_path\(File\.dirname\(__FILE__\)\+\'\/\.\.\/lib\'\) $(CURDIR)/debian/qwik\
		| xargs sed -i -e "/\$$LOAD_PATH << File\.expand_path(File\.dirname(__FILE__)+'\/\.\.\/lib')/D"
	
	-grep -rl \$$LOAD_PATH\ \<\<\ File\.expand_path\(File\.dirname\(__FILE__\)\+\'\/\.\.\/ext\'\) $(CURDIR)/debian/qwik\
		| xargs sed -i -e "/\$$LOAD_PATH << File\.expand_path(File\.dirname(__FILE__)+'\/\.\.\/ext')/D"
	
	#me/keing misc dir
	#qwik
	install -d $(CURDIR)/debian/qwik/var/log/qwik/
	install -d $(CURDIR)/debian/qwik/var/cache/qwik/
	install -d $(CURDIR)/debian/qwik/var/cache/qwik/grave/
	install -d $(CURDIR)/debian/qwik/etc/qwik/
	install -d $(CURDIR)/debian/qwik/var/lib/qwik/data/www/
	install -d $(CURDIR)/debian/qwik/var/lib/qwik/backup/
	install -d $(CURDIR)/debian/qwik/var/run/qwik/
	cp data/www/* $(CURDIR)/debian/qwik/var/lib/qwik/data/www/

	## /etc/qwik/
	# qwik config
	cp debian/config.txt $(CURDIR)/debian/qwik/etc/qwik/
	touch $(CURDIR)/debian/qwik/etc/qwik/typekey-sitetoken.txt
	touch $(CURDIR)/debian/qwik/etc/qwik/generation.txt
	touch $(CURDIR)/debian/qwik/etc/qwik/password.txt
	touch $(CURDIR)/debian/qwik/etc/qwik/google-maps-api-key.txt
	
	## /etc/default/
	install -d $(CURDIR)/debian/qwik/etc/default/
	cp debian/qwik.defaults $(CURDIR)/debian/qwik/etc/default/qwik

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installdebconf	
	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
	dh_installinit
	dh_installcron
#	dh_installinfo
	dh_installman
#	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-indep:

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
