=== share/template/Makefile ===
RUBY=ruby

all:
	$(RUBY) -I../../lib ../../lib/qwik/template-generator.rb --generate

clean:
	rm *.rb

x:
	-chmod 644 *.html *.rb Makefile
