=== lib/qwik/compat/Makefile ===
# Copyright (C) 2003-2006 Kouichirou Eto, All rights reserved.
# This is free software with ABSOLUTELY NO WARRANTY.
# You can redistribute it and/or modify it under the terms of the GNU GPL 2.

all:
	echo 'You can download dependencies by "make get"'

get:	get_typekey

get_typekey:
	wget http://jouno.s11.xrea.com/x/script/typekey/TypeKey.rb
