=== debian/control ===
Source: qwik
Section: web
Priority: optional
Maintainer: Yasuo Eto <yasuo@etou.org>
Uploaders: NIIBE Yutaka <gniibe@fsij.org>, Kouichirou Eto <2006@eto.com>
Build-Depends: debhelper (>= 4.0.0), ruby1.8, ruby1.8-dev
Standards-Version: 3.7.2

Package: qwik
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ruby1.8 (>=1.8.2-3), libhtree-ruby1.8, libalgorithm-diff-ruby1.8, libzip-ruby1.8,  adduser
Suggests: libdb4.2-ruby1.8, libgd-ruby1.8, imagemagick, libopenssl-ruby1.8 
Description: a group communication system with Wiki and ML
 qwikWeb is a group communication system which integrates Wiki and
 mailing list.
 .
 Homepage: http://qwik.jp/
