=== debian/rules ===
--- 
+++ 
@@ -89,7 +89,7 @@
 	-grep -rl \$$LOAD_PATH\ \<\<\ \'\.\.\/\.\.\/ext\'\ unless\ \$$LOAD_PATH\.include\?\(\'\.\.\/\.\.\/ext\'\) $(CURDIR)/debian/qwik\
 		| xargs sed -i -e "/\$$LOAD_PATH << '\.\.\/\.\.\/ext' unless \$$LOAD_PATH\.include?('\.\.\/\.\.\/ext')/D"
 	
-	-grep -rl \$$LOAD_PATH\ \<\<\ \'compat\'\ unless\ \$$LOAD_PATH\.include\?\ \'compat\' $(CURDIR)/debin/qwik\
+	-grep -rl \$$LOAD_PATH\ \<\<\ \'compat\'\ unless\ \$$LOAD_PATH\.include\?\ \'compat\' $(CURDIR)/debian/qwik\
 		| xargs sed -i -e "/\$$LOAD_PATH << 'compat' unless \$$LOAD_PATH\.include? 'compat'/D"
 	
 	-grep -rl \$$LOAD_PATH\ \<\<\ File\.expand_path\(File\.dirname\(__FILE__\)\+\'\/\.\.\/lib\'\) $(CURDIR)/debian/qwik\
@@ -120,6 +120,14 @@
 	## /etc/default/
 	install -d $(CURDIR)/debian/qwik/etc/default/
 	cp debian/qwik.defaults $(CURDIR)/debian/qwik/etc/default/qwik
+
+	## lintian override
+	install -d $(CURDIR)/debian/qwik/usr/share/lintian/overrides/
+	install -m 0644 debian/qwik.lintian-overrides $(CURDIR)/debian/qwik/usr/share/lintian/overrides/qwik
+
+	## linda override
+	install -d $(CURDIR)/debian/qwik/usr/share/linda/overrides/
+	install -m 0644 debian/qwik.linda-overrides $(CURDIR)/debian/qwik/usr/share/linda/overrides/qwik
 
 # Build architecture-dependent files here.
 binary-arch: build install
