## qwik 0.8.4.4ubuntu1

=== lib/qwik/Makefile ===
--- 
+++ 
@@ -1,3 +1,7 @@
+# Copyright (C) 2003-2006 Kouichirou Eto, All rights reserved.
+# This is free software with ABSOLUTELY NO WARRANTY.
+# You can redistribute it and/or modify it under the terms of the GNU GPL 2.
+
 RUBY=ruby
 
 all:	m
