=== share/theme/css/Makefile ===
RUBY=ruby

all:
	$(RUBY) -I../../../lib ../../../lib/qwik/dev-css-compressor.rb

clean:
	rm ../all.css

x:
	chmod -x *.css Makefile
