=== debian/changelog ===
qwik (0.8.4.4ubuntu1) hardy; urgency=low

  * Change suggests libdb4.2-ruby to libdb4.4-ruby

 -- Scott Kitterman <scott@kitterman.com>  Thu, 31 Jan 2008 22:18:51 -0500
