## qwik 0.8.4.4ubuntu2

=== debian/changelog ===
qwik (0.8.4.4ubuntu2) intrepid; urgency=low

  * debian/qwik.init:
    - Include LSB dependency header from Debian #470109.
  * debian/control:
    - Update Maintainer field as per spec (LP: #230350).

 -- Luca Falavigna <dktrkranz@ubuntu.com>  Sun, 01 Jun 2008 11:11:16 +0200
