=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: qwik
 Section: web
 Priority: optional
-Maintainer: Yasuo Eto <yasuo@etou.org>
+Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
+XSBC-Original-Maintainer: Yasuo Eto <yasuo@etou.org>
 Uploaders: NIIBE Yutaka <gniibe@fsij.org>, Kouichirou Eto <2006@eto.com>
 Build-Depends: debhelper (>= 4.0.0), ruby1.8, ruby1.8-dev
 Standards-Version: 3.7.2
