## qwik 0.8.4.4ubuntu3

=== debian/changelog ===
qwik (0.8.4.4ubuntu3) jaunty; urgency=low

  * Change suggests libdb4.4-ruby1.8 to libdb-ruby1.8 so it will just use the
    current default

 -- Scott Kitterman <scott@kitterman.com>  Wed, 31 Dec 2008 01:42:17 -0500
