=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 Package: qwik
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, ruby1.8 (>=1.8.2-3), libhtree-ruby1.8, libalgorithm-diff-ruby1.8, libzip-ruby1.8,  adduser
-Suggests: libdb4.4-ruby1.8, libgd-ruby1.8, imagemagick, libopenssl-ruby1.8 
+Suggests: libdb-ruby1.8, libgd-ruby1.8, imagemagick, libopenssl-ruby1.8 
 Description: a group communication system with Wiki and ML
  qwikWeb is a group communication system which integrates Wiki and
  mailing list.
